Bug 1311576 - RFE: Add strict domain for confining virtlogd daemon
RFE: Add strict domain for confining virtlogd daemon
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 08:48 EST by Daniel Berrange
Modified: 2016-04-09 16:17 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-180.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1311606 (view as bug list)
Environment:
Last Closed: 2016-04-09 16:17:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2016-02-24 08:48:35 EST
Description of problem:
The virtlogd daemon is currently given the same context as
libvirtd. This is essentially unrestricted host access which
is not at all desirable. The virtlogd daemon is a small single
purpose daemon whose only job is logging. It should have a
dedicated context which strictly controls what it is permitted
todo.

I have written a policy that can do this and submitted upstream

  https://github.com/fedora-selinux/selinux-policy/pull/103
Comment 1 Fedora Update System 2016-03-30 10:07:10 EDT
selinux-policy-3.13.1-180.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffb5ed99b4
Comment 2 Fedora Update System 2016-03-30 18:25:16 EDT
selinux-policy-3.13.1-180.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffb5ed99b4
Comment 3 Fedora Update System 2016-04-09 16:17:17 EDT
selinux-policy-3.13.1-180.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.